[Scipy-tickets] [SciPy] #1170: integrate.quad crashes with SIGILL

SciPy Trac scipy-tickets@scipy....
Sat May 8 07:31:25 CDT 2010


#1170: integrate.quad crashes with SIGILL
----------------------------------+-----------------------------------------
 Reporter:  Joe                   |       Owner:  somebody
     Type:  defect                |      Status:  new     
 Priority:  normal                |   Milestone:  0.8.0   
Component:  scipy.integrate       |     Version:  0.7.0   
 Keywords:  scipy integrate quad  |  
----------------------------------+-----------------------------------------

Comment(by Joe):

 I used the .exe file to install all of them. My CPU is AMD 2000+, whether
 it's too old?

 {{{
 D:\Python25>python
 Python 2.5.4 (r254:67916, Dec 23 2008, 15:10:54) [MSC v.1310 32 bit
 (Intel)] on win32
 Type "help", "copyright", "credits" or "license" for more information.
 >>> import scipy
 >>> scipy.version.version
 '0.7.2'
 >>> import numpy
 >>> numpy.version.version
 '1.4.1'
 >>>
 }}}

 Replying to [comment:1 josefpktd]:
 > Which numpy version, and how did you install numpy and scipy?
 >
 > I don't have a problem with this WindowsXP 32
 >
 > {{{
 > C:\Josef\work-oth>python -c "from scipy.integrate import quad; print
 quad(lambda
 >  x: x+1, 1.0, 2.0)"
 > (2.5, 2.7755575615628914e-014)
 >
 > C:\Josef\work-oth>python
 > Python 2.5.2 (r252:60911, Feb 21 2008, 13:11:45) [MSC v.1310 32 bit
 (Intel)] on
 > win32
 > Type "help", "copyright", "credits" or "license" for more information.
 > >>> import scipy
 > >>> scipy.version.version
 > '0.8.0.dev6156'
 > >>> import numpy
 > >>> numpy.version.version
 > '1.4.0'
 > >>>
 > }}}

-- 
Ticket URL: <http://projects.scipy.org/scipy/ticket/1170#comment:4>
SciPy <http://www.scipy.org>
SciPy is open-source software for mathematics, science, and engineering.


More information about the Scipy-tickets mailing list